<?php
define('NTOP', 1);
$title = 'Рассылка почты';
require_once('../system/connect.php');
require_once('../system/core.php');
require_once('../system/function.php');
require_once('../str/head.php');
reg();
level(2);
if(!isset($_POST['ok']))
	{
		echo '<div class="title">Сообщения отсылаются всем участникам на e-mail указанный при регистрации<br/></div>';
		echo '
		<div class="stat">
		<form action="mail.php?act=send" method="post">
		Тема сообщения (max.100):<br/>
		<input type="text" name="tema" class="input" maxlength="100" /><br />
		Текст сообщения (max. 300):<br/>
		<textarea name="text" cols="38" rows="8"></textarea><br/>
		<input name="ok" type="submit" value="Отправить" />
		</form>
		</div>
		';
	}
else
	{
		$tema = filter($_POST['tema']);
		$text = filter($_POST['text']);
		$error = '';
		if(empty($tema) OR empty($text))
			{
				$error .= 'Ошибка! Не заполнены поля! <br/>';
			}
		if(mb_strlen($tema) > 100)
			{
				$error .= 'Ошибка! Поле "Тема сообщения" содержит больше 100 символов! <br/>';
			}
		if(mb_strlen($text) > 300)
			{
				$error .= 'Ошибка! Поле "Тест сообщения" содержит больше 300 символов! <br/>';
			}
		if(!empty($error))
			{
				echo '<div class="error">';
				echo $error;
				echo '</div>';
			}
		else
			{
				$headers = '';
				$headers .= "From: ".$set['mail']." \n";
				$headers .= "Content-Type: text/plain; charset=utf-8\n";
				$mails = mysql_query("SELECT DISTINCT `mail` FROM `".$prefix."users` WHERE `mail` <> ''");
				if(mysql_num_rows($mails) > 0)
					{
						while($row = mysql_fetch_array($mails))
							{
								mail($row['mail'], $tema, $text, $headers);
							}
						echo '<div class="stat">';
						echo 'Ваше сообщение отправлено '.mysql_num_rows($mails).' участникам!<br/>';
						echo '</div>';
					}
				else
					{
						echo '<div class="stat">';
						echo 'Не найдено участников в рейтинге!<br/>';
						echo '</div>';
					}
			}
	}
echo '<div class="main"><a href="http://'.$set['home'].'/adm_panel/index.php">В Админку</a></div>';
require_once('../str/foot.php');
?>